/*
================================================================================
  RPL/2 (R) version 4.1.21
  Copyright (C) 1989-2015 Dr. BERTRAND Jol

  This file is part of RPL/2.

  RPL/2 is free software; you can redistribute it and/or modify it
  under the terms of the CeCILL V2 License as published by the french
  CEA, CNRS and INRIA.
 
  RPL/2 is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the CeCILL V2 License
  for more details.
 
  You should have received a copy of the CeCILL License
  along with RPL/2. If not, write to info@cecill.info.
================================================================================
*/


#ifndef INCLUSTION_COMPLETION
#define INCLUSTION_COMPLETION
#ifndef COMPLETION
#	define COMPLETION_RC	"/rc"
#endif

static unsigned char *commandes[] =
		{ "abort", "abs", "acos", "acosh", "alarm", "alog", "append", "and",
				"array->", "arg", "asin", "asinh", "asl", "asr", "atan",
				"atanh", "atexit", "atpoke", "autoscale", "axes",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"b->r", "backspace", "backtrace", "beep", "bessel", "bin",
		
#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"c->r", "case", "ceil", "centr", "cf", "chr", "cipher",
				"clear",
				"cllcd", "clmf", "close", "clratexit", "clratpoke",
				"clrcntxt", "clrerr", "clrfuse",
				"clrmtx", "clrsmphr",
				"clrswi", "crmtx", "crsmphr", "cls", "clusr", "cnrm",
				"col+", "col-", "col->", "cols", "comb", "compress",
				"con", "cond", "conj", "cont", "continue", "convert", "copy",
				"copyright", "corr",
				"cos", "cosh", "cov", "cr", "create", "critical",
				"cross", "crtab", "cstop",
				"cswp", "currenc", "cycle",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"d->r", "daemonize",
				"date", "dec", "decr", "default", "deg", "delete", "depnd",
				"depth", "der", "det", "detach",
				"dft", "dgtiz", "diag->", "digest", "disp", "do", "dot", "draw",
				"drax", "drop", "drop2", "dropcntxt",
				"dropn", "drws", "dup", "dup2",
				"dupcntxt", "dupn",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"e", "edit", "egv", "egvl", "else", "elseif", "end", "eng",
				"epsilon", "eqv",
				"erase", "errm", "errn", "eval", "exget", "exit",
				"exp", "expm", "exsub", "externals", "eyept",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"fact", "false", "fc?", "fc?c", "fc?s", "fft", "fix", "floor",
				"for", "forall",
				"format", "fp", "fs?", "fs?c", "fs?s", "function",
				"fuse",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"gamma",
		"gegv", "gegvl", "get", "getc", "geti", "getr", "glegv", "gregv",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"halt", "head", "help", "hex", "histogram", "hms->", "hms-", "hms+",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"i", "idft", "idn", "if", "iferr", "ifft", "ift", "ifte", "im",
				"implicit", "in",
				"incr", "indep", "infinity",
				"input", "inquire", "int", "inv", "ip", "iswi",
				"itrace",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"jdate",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"key", "keylabel", "keytitle", "kill", "kind",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"l->t", "label", "last", "lcase", "lcd->", "lchol", "legv", "line",
				"list->", "ln", "lnp1", "localization",	"lock", "log",
				"logger", "logscale", "lq", "lsq", "lu",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"mant", "mark",
		"max", "maxs", "mclrin", "mean", "mem", "memlock",
		"memunlock", "min", "mins", "mod",
		"mtxlock", "mtxstatus", "mtxtrylock", "mtxunlock",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"neg", "newplane", "next", "not", "nrand", "nrproc", "ns", "num",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"obget", "obsub", "oct", "open", "or", "over",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"p->r", "paper", "parameter",
				"parametric", "pcov", "peek", "perm", "persist", "pi",
				"pick", "plot", "plotter",
				"pmax", "pmin", "poke", "polar", "poll",
				"pos", "ppar", "pr1", "print",
				"private",
				"prlcd", "prmd", "procid",
				"prompt", "protect", "prst", "prstc", "prusr",
				"prvar", "psdev", "pshcntxt", "pshprfl", "pulcntxt", "pulprfl",
				"purge", "put", "putc", "putr",
				"puti", "pvar",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"qr",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"r->b", "r->c", "r->d", "r->p", "rad", "rand", "rank", "rceq", "rci",
				"rcij", "rcl",
				"rclf", "rcls", "rclswi", "rcws", "rdate",
				"rdm", "rdgn", "rdz", "re", "read", "recall", "recode", "recv",
				"redraw", "regex",
				"regv", "relax", "remove", "repeat", "repl", "res",
				"restart", "return", "revlist", "rewind", "rfuse",
				"rgdl", "rgdr",
				"rl", "rlb", "rnd", "rnrm",
				"roll", "rolld", "rot", "row+", "row-", "row->",
				"rr", "rrb", "rsd", "rstop", "rswp",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"s+", "s-", "same", "save", "scatter", "scale", "sched",
				"schur", "sci", "scls",
				"sconj", "sdev", "select", "send", "sf", "shared",
				"sign",
				"sin", "sinh", "sinv", "size", "sl", "slb", "slice",
				"slicescale", "smphrdecr", "smphrgetv", "smphrincr",
				"smphrtrydecr", "sneg", "sort", "spar", "spawn",
				"splash", "sq", "sqlconnect", "sqldisconnect", "sqlquery",
				"sqrt", "sr", "srb", "srev",
				"sst", "start", "static", "std", "step",
				"steq", "sto", "sto+", "sto-", "sto*", "sto/",
				"stof", "stop", "store", "stos", "stoswi",
				"str->", "stws", "sub",
				"suspend", "svd", "svl", "swap", "swapcntxt",
				"swi", "swilock", "swiqueue", "swistatus", "swiunlock",
				"sx", "sx2", "sxy", "sy", "sy2", "sync", "syseval",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"t->l", "table->", "tail", "tan", "tanh", "target", "taylr",
				"then", "time", "title", "tokenize",
				"tot", "trim", "trn", "trnc",
				"true", "type",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"ucase", "uchol", "uncompress", "undo", "unlock", "unprotect",
		"until", "use", "utpc", "utpf", "utpn",
		"utpt",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"var", "variable", "vars", "verify", "version", "visit", "volatile",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"wait", "warranty", "wfack", "wfdata", "wflock", "wfpoke",
		"wfproc", "wfsock", "wfswi",
		"while",
		"wireframe", "workdir", "write",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"xcol", "xor", "xpon", "xroot",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"ycol", "yield",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"+", "-", "*", "**", "*d", "*h", "*s", "*w" , "/", "^",
		"%", "%ch", "%t",
		
#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"->", "->array", "->col", "->diag", "->hms", "->lcd", "->list", "->q",
		"->row", "->str", "->table",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		">=", "=>", ">", "<=", "=<", "<", "<>", "=", "==",

#				ifndef COMPLETION
				COMPLETION_RC,
#				endif

		"<<", ">>",

		NULL };
#endif

// vim: ts=4
