/*
================================================================================
  RPL/2 (R) version 4.1.21
  Copyright (C) 1989-2015 Dr. BERTRAND Jol

  This file is part of RPL/2.

  RPL/2 is free software; you can redistribute it and/or modify it
  under the terms of the CeCILL V2 License as published by the french
  CEA, CNRS and INRIA.
 
  RPL/2 is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the CeCILL V2 License
  for more details.
 
  You should have received a copy of the CeCILL License
  along with RPL/2. If not, write to info@cecill.info.
================================================================================
*/


#ifndef INCLUSION_GNUPLOT
#define INCLUSION_GNUPLOT

#define ds_gnuplot_commande						"gnuplot -raise "\
													"1> /dev/null 2> /dev/null"
#define ds_gnuplot_commande_persistante			"gnuplot -raise -persist "\
													"1> /dev/null 2> /dev/null"

#define ds_gnuplot_commande_trace_2D			"plot"
#define ds_gnuplot_commande_trace_3D			"splot"

#ifdef OS2
#	define ds_gnuplot_terminal_defaut			"set terminal pm"
#else
#	define ds_gnuplot_terminal_defaut			"set terminal x11"
#endif

#define ds_gnuplot_option_2D					"with lines"
#define ds_gnuplot_option_3D					"with lines"
#define ds_gnuplot_option_nuages				"with points"
#define ds_gnuplot_option_table_tracante		"with lines"
#define ds_gnuplot_option_histogramme			"with boxes"
#define ds_gnuplot_option_largeur_histogramme	1

#define ds_gnuplot_nombre_max_fichiers			16

#endif

// vim: ts=4
